-- Compatibility: Lua-5.0
function StringSplit(str, delim, Nb)
   -- Eliminate bad cases...
   local result = {}
   if string.find(str, delim) == nil then
     result = { str, "", "", "", "", "", "", "", "", "" }
     return result[Nb]
   end
   --if maxNb == nil or maxNb < 1 then
   --   maxNb = 0    -- No limit
   --end
   local pat = "(.-)" .. delim .. "()"
   local n = 0
   local lastPos
   for part, pos in string.gmatch(str, pat) do
      n = n + 1
      result[n] = part
      lastPos = pos
      if n == maxNb then
         break
      end
   end
   -- Handle the last field
   if n ~= 10 then
      result[n + 1] = string.sub(str, lastPos)
   end
   for i=n+2, 10 do
      result[i] = ""
   end
   return result[Nb]
 end

--print(StringSplit('/Ein/ Herr, /ein/ Glaube, /eine/ Taufe; /ein/ Gott und Vater aller, der da ist über allen und durch alle und in allen.', '/', 2))